## lsm 0.1.6

=== DESCRIPTION ===
Package: lsm
Type: Package
Title: Estimation of the log Likelihood of the Saturated Model
Version: 0.1.6
Date: 2018-03-30
Authors@R: c(person("Humberto", "Llinas", role = c("aut")),
  person("Omar", "Fabregas", role = c("aut")),
  person("Jorge", "Villalba", email = "jlvia1191@gmail.com", role = c("aut", "cre")))
Author: Humberto Llinas [aut],
  Omar Fabregas [aut],
  Jorge Villalba [aut, cre]
Maintainer: Jorge Villalba <jlvia1191@gmail.com>
Description: When the values of the outcome variable Y are either 0 or 1, the function lsm() calculates the estimation of the log likelihood in the saturated model. This model is characterized by Llinas (2006, ISSN:2389-8976) in section 2.3 through the assumptions 1 and 2. The function LogLik() works (almost perfectly) when the number of independent variables K is high, but for small K it calculates wrong values in some cases. For this reason, when Y is dichotomous and the data are grouped in J populations, it is recommended to use the function lsm() because it works very well for all K.
Depends: R (>= 3.1.0),stats
Encoding: UTF-8
URL: https://github.com/jlvia1191/lsm
License: MIT + file LICENSE
LazyData: TRUE
RoxygenNote: 6.0.1
Collate: 'lsm.R'
NeedsCompilation: no
Packaged: 2018-03-30 15:10:27 UTC; jorgeR
Repository: CRAN
Date/Publication: 2018-04-09 13:52:11 UTC

## lsm 0.1.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: lsm
 Type: Package
 Title: Estimation of the log Likelihood of the Saturated Model
-Version: 0.1.6
-Date: 2018-03-30
+Version: 0.1.8
+Date: 2018-08-30
 Authors@R: c(person("Humberto", "Llinas", role = c("aut")),
   person("Omar", "Fabregas", role = c("aut")),
   person("Jorge", "Villalba", email = "jlvia1191@gmail.com", role = c("aut", "cre")))
@@ -16,9 +16,9 @@
 URL: https://github.com/jlvia1191/lsm
 License: MIT + file LICENSE
 LazyData: TRUE
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.0
 Collate: 'lsm.R'
 NeedsCompilation: no
-Packaged: 2018-03-30 15:10:27 UTC; jorgeR
+Packaged: 2018-08-30 07:59:08 UTC; jorgeR
 Repository: CRAN
-Date/Publication: 2018-04-09 13:52:11 UTC
+Date/Publication: 2018-08-30 08:12:13 UTC

## lsm 0.1.9

=== DESCRIPTION ===
Package: lsm
Type: Package
Title: Estimation of the log Likelihood of the Saturated Model
Version: 0.1.9
Date: 2020-01-14
Authors@R: c(person("Humberto", "Llinas", role = c("aut")),
  person("Omar", "Fabregas", role = c("aut")),
  person("Jorge", "Villalba", email = "jlvia1191@gmail.com", role = c("aut", "cre")))
Author: Humberto Llinas [aut],
  Omar Fabregas [aut],
  Jorge Villalba [aut, cre]
Maintainer: Jorge Villalba <jlvia1191@gmail.com>
Description: When the values of the outcome variable Y are either 0 or 1, the function lsm() calculates the estimation of the log likelihood in the saturated model. This model is characterized by Llinas (2006, ISSN:2389-8976) in section 2.3 through the assumptions 1 and 2. The function LogLik() works (almost perfectly) when the number of independent variables K is high, but for small K it calculates wrong values in some cases. For this reason, when Y is dichotomous and the data are grouped in J populations, it is recommended to use the function lsm() because it works very well for all K.
Depends: R (>= 3.1.0)
Imports: stats
Encoding: UTF-8
URL: https://github.com/jlvia1191/lsm
License: MIT + file LICENSE
LazyLoad: yes
LazyData: TRUE
RoxygenNote: 6.1.0
Collate: 'lsm.R'
NeedsCompilation: no
Packaged: 2020-01-15 02:52:44 UTC; ASUS
Repository: CRAN
Date/Publication: 2020-01-15 06:30:13 UTC

## lsm 0.2.0

=== DESCRIPTION ===
Package: lsm
Type: Package
Title: Estimation of the log Likelihood of the Saturated Model
Version: 0.2.0
Date: 2020-03-07
Authors@R: c(person("Humberto", "Llinas", role = c("aut")),
  person("Omar", "Fabregas", role = c("aut")),
  person("Jorge", "Villalba", email = "jlvia1191@gmail.com", role = c("aut", "cre")))
Author: Humberto Llinas [aut],
  Omar Fabregas [aut],
  Jorge Villalba [aut, cre]
Maintainer: Jorge Villalba <jlvia1191@gmail.com>
Description: When the values of the outcome variable Y are either 0 or 1, the function lsm() calculates the estimation of the log likelihood in the saturated model. This model is characterized by Llinas (2006, ISSN:2389-8976) in section 2.3 through the assumptions 1 and 2. The function LogLik() works (almost perfectly) when the number of independent variables K is high, but for small K it calculates wrong values in some cases. For this reason, when Y is dichotomous and the data are grouped in J populations, it is recommended to use the function lsm() because it works very well for all K.
Depends: R (>= 3.5.0)
Imports: stats
Encoding: UTF-8
License: MIT + file LICENSE
LazyData: TRUE
RoxygenNote: 6.1.0
Collate: 'lsm.R'
NeedsCompilation: no
Packaged: 2020-03-07 20:49:29 UTC; ASUS
Repository: CRAN
Date/Publication: 2020-03-07 21:00:02 UTC

## lsm 0.2.1.2

=== DESCRIPTION ===
Package: lsm
Type: Package
Title: Estimation of the log Likelihood of the Saturated Model
Version: 0.2.1.2
Date: 2022-02-03
Authors@R: c(person("Humberto", "Llinas", email = "hllinas@uninorte.edu.co", role = c("aut"), comment = c(ORCID = "0000-0002-2976-5109")),
  person("Omar", "Fabregas", email = "ofabregas@uninorte.edu.co", role = c("aut"), comment = c(ORCID = "0000-0001-6853-6280")),
  person("Jorge", "Villalba", email = "jlvia1191@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-2888-9660")))
Author: Humberto Llinas [aut] (<https://orcid.org/0000-0002-2976-5109>),
  Omar Fabregas [aut] (<https://orcid.org/0000-0001-6853-6280>),
  Jorge Villalba [aut, cre] (<https://orcid.org/0000-0002-2888-9660>)
Maintainer: Jorge Villalba <jlvia1191@gmail.com>
Description: When the values of the outcome variable Y are either 0 or 1,
      the function lsm() calculates the estimation of the log likelihood 
      in the saturated model. 
      This model is characterized by Llinas (2006, ISSN:2389-8976) in section 2.3 
      through the assumptions 1 and 2. 
      The function LogLik() works (almost perfectly) when the number of independent
      variables K is high, but for small K it calculates wrong values in some cases.
      For this reason, when Y is dichotomous and the data are grouped in J populations,
      it is recommended to use the function lsm() because it works very well for all K.
Depends: R (>= 3.5.0)
Imports: stats, dplyr (>= 1.0.0), ggplot2 (>= 1.0.0)
Encoding: UTF-8
License: MIT + file LICENSE
LazyData: TRUE
RoxygenNote: 7.1.2
NeedsCompilation: yes
Packaged: 2022-02-04 02:46:33 UTC; ASUS
Repository: CRAN
Date/Publication: 2022-02-04 03:10:02 UTC

## lsm 0.2.1.4

=== DESCRIPTION ===
Package: lsm
Type: Package
Title: Estimation of the log Likelihood of the Saturated Model
Version: 0.2.1.4
Date: 2024-06-07
Authors@R: c(
  person("Jorge", "Villalba", email = "jvillalba@utb.edu.co", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-2888-9660")),
  person("Humberto", "Llinas", email = "hllinas@uninorte.edu.co", role = c("aut"), comment = c(ORCID = "0000-0002-2976-5109")),
  person("Omar", "Fabregas", email = "ofabregas@uninorte.edu.co", role = c("aut"), comment = c(ORCID = "0000-0001-6853-6280"))
  )
Author: Jorge Villalba [aut, cre] (<https://orcid.org/0000-0002-2888-9660>),
  Humberto Llinas [aut] (<https://orcid.org/0000-0002-2976-5109>),
  Omar Fabregas [aut] (<https://orcid.org/0000-0001-6853-6280>)
Maintainer: Jorge  Villalba <jvillalba@utb.edu.co>
Description: When the values of the outcome variable Y are either 0 or 1,
      the function lsm() calculates the estimation of the log likelihood 
      in the saturated model. 
      This model is characterized by Llinas (2006, ISSN:2389-8976) in section 2.3 
      through the assumptions 1 and 2. 
      The function LogLik() works (almost perfectly) when the number of independent
      variables K is high, but for small K it calculates wrong values in some cases.
      For this reason, when Y is dichotomous and the data are grouped in J populations,
      it is recommended to use the function lsm() because it works very well for all K.
Depends: R (>= 3.5.0)
Imports: stats, dplyr (>= 1.0.0), ggplot2 (>= 1.0.0)
Encoding: UTF-8
License: MIT + file LICENSE
RoxygenNote: 7.3.1
NeedsCompilation: yes
Repository: CRAN
LazyLoad: yes
LazyData: yes
Packaged: 2024-06-07 22:52:45 UTC; jvillalba
Date/Publication: 2024-06-08 21:50:06 UTC

## lsm 0.2.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Package: lsm
 Type: Package
 Title: Estimation of the log Likelihood of the Saturated Model
-Version: 0.2.1.4
-Date: 2024-06-07
+Version: 0.2.1.5
+Date: 2025-06-02
 Authors@R: c(
   person("Jorge", "Villalba", email = "jvillalba@utb.edu.co", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-2888-9660")),
   person("Humberto", "Llinas", email = "hllinas@uninorte.edu.co", role = c("aut"), comment = c(ORCID = "0000-0002-2976-5109")),
   person("Omar", "Fabregas", email = "ofabregas@uninorte.edu.co", role = c("aut"), comment = c(ORCID = "0000-0001-6853-6280"))
   )
-Author: Jorge Villalba [aut, cre] (<https://orcid.org/0000-0002-2888-9660>),
-  Humberto Llinas [aut] (<https://orcid.org/0000-0002-2976-5109>),
-  Omar Fabregas [aut] (<https://orcid.org/0000-0001-6853-6280>)
+Author: Jorge Villalba [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-2888-9660>),
+  Humberto Llinas [aut] (ORCID: <https://orcid.org/0000-0002-2976-5109>),
+  Omar Fabregas [aut] (ORCID: <https://orcid.org/0000-0001-6853-6280>)
 Maintainer: Jorge  Villalba <jvillalba@utb.edu.co>
 Description: When the values of the outcome variable Y are either 0 or 1,
       the function lsm() calculates the estimation of the log likelihood 
@@ -26,9 +27,9 @@
 Encoding: UTF-8
 License: MIT + file LICENSE
 RoxygenNote: 7.3.1
-NeedsCompilation: yes
 Repository: CRAN
 LazyLoad: yes
 LazyData: yes
-Packaged: 2024-06-07 22:52:45 UTC; jvillalba
-Date/Publication: 2024-06-08 21:50:06 UTC
+NeedsCompilation: no
+Packaged: 2025-06-02 16:57:49 UTC; jvillalba
+Date/Publication: 2025-06-02 17:30:01 UTC

## lsm 1.0.4

=== Makefile ===
#
# (C) 2009-2011 Mika Ilmaranta <ilmis@nullnet.fi>
#
# License: GPLv2
#

VERSION	?= $(lastword $(shell grep ^Version: lsm.spec))
PROGS	= lsm
PKG     = lsm

CC	= gcc
override CFLAGS	+= -Wall -O2 -DLSM_VERSION=\"$(VERSION)\"
#override CFLAGS += -D NO_PLUGIN_EXPORT
#override CFLAGS += -D NO_PLUGIN_EXPORT_MUNIN
#override CFLAGS += -D NO_PLUGIN_EXPORT_STATUS

LDFLAGS =

INITDDIR ?= /etc/init.d
DOCDIR	?= /usr/share/doc/lsm

DOCFILES = README lsm.conf.sample default_script.sample rsyslog-lsm.conf.sample
SCRIPTS	= shorewall_script shorewall6_script default_script group_script

.PHONY:	all clean distclean tar rpm

all: $(PROGS)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

lsm: lsm.o icmp_t.o icmp6_t.o config.o globals.o cksum.o forkexec.o signal_handler.o timecalc.o plugin_export.o save_statuses.o pidfile.o cmdline.o usage.o
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

clean distclean:
	rm -rf *~ .*~ *.o $(PROGS) Makefile.depend debugfiles.list debuglinks.list debugsources.list *.orig

tar: distclean
	tar zcvf ../$(PKG)-$(VERSION).tar.gz \
		--transform=s,.,$(PKG)-$(VERSION), \
		--show-transformed-name \
		--exclude .git \
		--exclude .gitignore \
		.

rpm: tar
	cp ../$(PKG)-$(VERSION).tar.gz ~/rpmbuild/SOURCES
	cp $(PKG).spec ~/rpmbuild/SPECS
	rpmbuild -ba ~/rpmbuild/SPECS/$(PKG).spec

Makefile.depend: *.c *.h Makefile
	$(CC) -MM *.c > $@

install: all
	mkdir -p $(DESTDIR)/etc/lsm
	mkdir -p $(DESTDIR)$(INITDDIR)
	mkdir -p $(DESTDIR)/usr/sbin
	mkdir -p $(DESTDIR)$(DOCDIR)
	mkdir -p $(DESTDIR)/usr/share/lsm
	mkdir -p $(DESTDIR)/usr/libexec/lsm
	mkdir -p $(DESTDIR)/var/lib/lsm
	install -m0644 lsm.conf $(DESTDIR)/etc/lsm
	install -m0755 lsm.init $(DESTDIR)$(INITDDIR)/lsm
	install -m0755 lsm $(DESTDIR)/usr/sbin
	install -m0644 $(DOCFILES) $(DESTDIR)$(DOCDIR)
	install -m0755 $(SCRIPTS) $(DESTDIR)/usr/libexec/lsm
	ln -sf ../../libexec/lsm/default_script $(DESTDIR)/usr/share/lsm/default_script
	ln -sf ../../libexec/lsm/shorewall_script $(DESTDIR)/usr/share/lsm/shorewall_script

-include Makefile.depend

#

=== debian/changelog ===
lsm (1.0.4-2) unstable; urgency=medium

  * Updated build-depends (Closes: #958635)
  * Bumped Standards-Version to 5.4.0.
  * Updated DH compat version to 12.
  * Updated maintainer e-mail address.
  * Removed unused patch, scripts_path.path file.
 

 -- Lucas de Castro Borges <lucas@gnuabordo.com.br>  Sun, 13 Sep 2020 15:13:02 +0000

lsm (1.0.4-1) unstable; urgency=medium

  * Initial release (Closes: #518165)
  * debian/patches/
      - source_relative_path.patch: Use macros instead of static paths.
      - hardening_improve.patch: Added hardening flags in Makefile.
      - install_target.patch: Added PREFIX and set targets point up to PREFIX.

 -- Lucas de Castro Borges <lucascastroborges@gmail.com>  Mon, 02 May 2016 23:18:50 -0300

=== debian/control ===
Source: lsm
Section: utils
Priority: optional
Maintainer: Lucas de Castro Borges <lucas@gnuabordo.com.br>
Build-Depends: debhelper (>=9.2), debhelper-compat (=12), docbook-to-man
Standards-Version: 4.5.0
Homepage: http://lsm.foobar.fi/

Package: lsm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Link connectivity monitor tool
 Provide a Link Status Monitor, It can be used to monitor Linux router/firewall
 connectivity and if router/firewall has multiple connections it can change
 routing when an up/down event happens by utilizing external script.
 This package is highly influenced by fping and iputils arping.

=== debian/watch ===
version=4
http://lsm.foobar.fi/download/lsm-(.*)\.tar\.gz

## lsm 1.0.21

=== Makefile ===
#
# (C) 2009-2011 Mika Ilmaranta <ilmis@nullnet.fi>
#
# License: GPLv2
#

VERSION	?= $(lastword $(shell grep ^Version: foolsm.spec))
PROGS	= foolsm
PKG     = foolsm

CC	= gcc
override CFLAGS	+= -Wall -O2 -DFOOLSM_VERSION=\"$(VERSION)\"
#override CFLAGS += -D NO_PLUGIN_EXPORT
#override CFLAGS += -D NO_PLUGIN_EXPORT_MUNIN
#override CFLAGS += -D NO_PLUGIN_EXPORT_STATUS

PREFIX ?= /usr/local
DESTDIR ?=
BINDIR ?= $(PREFIX)/sbin
ifeq ($(PREFIX), /usr)
ETCDIR ?= /etc/foolsm
else
ETCDIR ?= $(PREFIX)/etc/foolsm
endif
DOCDIR ?= $(PREFIX)/share/doc/foolsm
EXAMPLEDIR ?= $(DOCDIR)/examples
SCRIPTDIR ?= $(PREFIX)/libexec/foolsm

DOCFILES = README foolsm.conf.sample default_script.sample rsyslog-foolsm.conf.sample
SCRIPTS	= shorewall_script shorewall6_script default_script group_script

override CFLAGS += -D ETCDIR=\"$(ETCDIR)\"
override CFLAGS += -D SCRIPTDIR=\"$(SCRIPTDIR)\"

.PHONY:	all clean distclean tar rpm

all: $(PROGS)

foolsm: foolsm.o icmp_t.o icmp6_t.o config.o globals.o cksum.o forkexec.o signal_handler.o timecalc.o plugin_export.o save_statuses.o pidfile.o cmdline.o usage.o

clean distclean:
	rm -rf *~ .*~ *.o $(PROGS) debugfiles.list debuglinks.list debugsources.list *.orig

tar: distclean
	tar zcvf ../$(PKG)-$(VERSION).tar.gz \
		--transform=s,.,$(PKG)-$(VERSION), \
		--show-transformed-name \
		--exclude .git \
		--exclude .gitignore \
		.

rpm: tar
	cp ../$(PKG)-$(VERSION).tar.gz ~/rpmbuild/SOURCES
	cp $(PKG).spec ~/rpmbuild/SPECS
	rpmbuild -ba ~/rpmbuild/SPECS/$(PKG).spec

install: all
	install -d $(DESTDIR)$(EXAMPLEDIR)
	install -d $(DESTDIR)$(SCRIPTDIR)
	install -d $(DESTDIR)/var/lib/foolsm
	install -D -m0644 foolsm.conf $(DESTDIR)$(ETCDIR)/foolsm.conf
	install -D -m0755 foolsm $(DESTDIR)$(BINDIR)/foolsm
	install -m0644 $(DOCFILES) $(DESTDIR)$(EXAMPLEDIR)
	install -m0755 $(SCRIPTS) $(DESTDIR)$(SCRIPTDIR)

#

=== debian/changelog ===
lsm (1.0.21-2) unstable; urgency=medium

  [ Lucas de Castro Borges ]
  * Fixed program name in sysv init file (Closes: #1088007)
  * Required directory added to be created by dh (Closes: #1088006)
  * d/control: set Rules-Requires-Root to no

 -- Lucas de Castro Borges <lucas@gnuabordo.com.br>  Fri, 06 Dec 2024 12:11:34 -0300

lsm (1.0.21-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 08 Aug 2024 11:11:47 -0400

lsm (1.0.21-1) unstable; urgency=medium

  [ Lucas de Castro Borges ]
  * Patches removed
      All patched had been removed due upstream had merged them
  * New upstream version 1.0.21 (Closes: #1041221)
  * Systemd service added (Closes: 1054086)
  * Project renamed: url updated to search new version
  * Upstream project had been renamed
    Modification applied fix installation afterward software renamed
    Some of them include manpages
  * lsm package set as transitional package
    Thereafter project name, a transition package had been set
    for smoothly upgrade.

 -- Lucas de Castro Borges <lucas@gnuabordo.com.br>  Wed, 05 Jun 2024 19:02:06 -0300

=== debian/control ===
Source: lsm
Section: utils
Priority: optional
Maintainer: Lucas de Castro Borges <lucas@gnuabordo.com.br>
Build-Depends: debhelper-compat (=13), docbook-to-man <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://lsm.foobar.fi/
Vcs-Git: https://git.gnuabordo.com.br/foolsm.git
Vcs-Browser: https://git.gnuabordo.com.br/foolsm.git

Package: foolsm
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: lsm (<< 1.0.21-1)
Conflicts: lsm (<< 1.0.21-1)
Description: Link connectivity monitor tool
 Provide a Link Status Monitor, It can be used to monitor Linux router/firewall
 connectivity and if router/firewall has multiple connections it can change
 routing when an up/down event happens by utilizing external script.
 This package is highly influenced by fping and iputils arping.

Package: lsm
Architecture: all
Depends: foolsm, ${misc:Depends}
Section: oldlibs
Description: Link connectivity monitor tool - transitional package
 This is a transitional package and can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#DEBUG=true
PREFIX=/usr
SCRIPTDIR=${PREFIX}/lib/foolsm

%:
	dh $@

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	docbook-to-man debian/foolsm.sgml > debian/foolsm.1
endif

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog

override_dh_auto_install:
	dh_auto_install -- PREFIX=${PREFIX} SCRIPTDIR=${SCRIPTDIR}

override_dh_installinit:
	dh_installinit --no-start

override_dh_auto_clean:
	rm -f debian/foolsm.1
	dh_auto_clean

=== debian/watch ===
version=4
https://lsm.foobar.fi/download/foolsm-(.+)\.tar\.gz
